# Class MultipartUrlConfig

java.lang.Object
org.apache.jmeter.protocol.http.config.MultipartUrlConfig

All Implemented Interfaces:
  `Serializable`

public class MultipartUrlConfig extends Object implements Serializable
Configuration element which handles HTTP Parameters and files to be uploaded

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MultipartUrlConfig()`
Deprecated.
only for use by unit tests
`MultipartUrlConfig(String boundary)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addArgument(String name, String value)`
`void`
`addArgument(String name, String value, String metadata)`
`Arguments`
`getArguments()`
`String`
`getBoundary()`
`HTTPFileArgs`
`getHTTPFileArgs()`
`void`
`parseArguments(String queryString)`
This method allows a proxy server to send over the raw text from a browser's output stream to be parsed and stored correctly into the UrlConfig object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultipartUrlConfig

@Deprecated public MultipartUrlConfig()
Deprecated.
only for use by unit tests

### MultipartUrlConfig

public MultipartUrlConfig(String boundary)

## Method Details

### getBoundary

public String getBoundary()

### getArguments

public Arguments getArguments()

### addArgument

public void addArgument(String name, String value)

### addArgument

public void addArgument(String name, String value, String metadata)

### getHTTPFileArgs

public HTTPFileArgs getHTTPFileArgs()

### parseArguments

public void parseArguments(String queryString)
This method allows a proxy server to send over the raw text from a browser's output stream to be parsed and stored correctly into the UrlConfig object.

Parameters:
  `queryString` - text to parse